You are here

PyMOL_Mover for PyRosetta installed via anaconda

3 posts / 0 new
Last post
PyMOL_Mover for PyRosetta installed via anaconda
#1

I have successfully installed PyRosetta via anaconda by command of "conda install pyrosetta" in Linux (Windows subsystem Linux) according to this instruction.

http://www.pyrosetta.org/dow

I have also confirmed several PyRosetta command indeed works well, so tried to utilize PyMol Mover. However, I failed to find "PyMOLPyRosettaServer.py" in Pyrosetta folder in anaconda package or elsewhere. The server file should be required for PyMol Mover. How can I connect Pyrosetta with PyMol? Or, conda-based installation did not still adopt PyMol Mover? Or, is there other way to connect Pymol and Pyrosetta than using "PyMOLPyRosettaServer.py"?

If you need further info, please let me know. Thanks in advance for your kind help.

Category: 
Post Situation: 
Fri, 2019-05-24 15:06
KT

This is on my list. In future conda builds we will include these scripts. For now you can do the following: from http://www.pyrosetta.org/dow download one of the archive packages and from archive extract PyMOLRosettaServer.py or PyMOLPyRosettaServer.python3.py scripts. Hope this helps,

Fri, 2019-05-24 15:57
Sergey

Thanks for your suggestion!

I extracted PyrosettaServer.py file, and placed it in the following folder

C:\Users\kt<<Username>>\AppData\Local\Packages\CanonicalGroupLimited.UbuntuonWindows_79rhkp1fndgsc\LocalState\rootfs\home\kt<<Username>>\.pyenv\versions\anaconda3-5.3.0\pkgs\pyrosetta-2019.19+release.5adc612f-py36_0\lib\python3.6\site-packages\pyrosetta

Then, I executed the py file from Pymol installed in windows. however, some errors ocurred.

-------------

File "C:\Users\kt\Anaconda3\lib\site-packages\pymol\internal.py", line 323, in file_read
    handle = open(finfo, 'rb')
FileNotFoundError: [Errno 2] No such file or directory: 'PyMOL-RosettaServer.python3.py'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "C:\Users\kt\Anaconda3\lib\site-packages\pymol\internal.py", line 327, in file_read
    raise pymol.CmdException('failed to open file "%s"' % finfo)
pymol.CmdException:  Error: failed to open file "PyMOL-RosettaServer.python3.py"
-------------

This may be because I placed the PyrosettaServer.py file in the wrong place, or I should execute the py file through Pymol installed on Linux. How can I deal with this problem? 

Fri, 2019-05-24 17:20
KT